Skip to main content
GET
Returns the status of one or more worker syncs.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

syncId
string<uuid>

Gets the unique identifier for the configuration key. Represents a configuration key that serves as a unique identifier for configuration entities.

Response

identifier
string<uuid>

The unique identifier of a sync.

state
enum<integer>

The current state of the sync.

Available options:
0,
1,
2,
3,
4,
5,
6,
7
progressText
string

The latest progress text reported by the sync.

progress
number<double>

The progress in percent. A negative value indicates that no progress is reported.

lastSync
string<date-time>

The timestamp of the last sync run.

nextSync
string<date-time>

The timestamp of the next scheduled sync run.